Subject: Re: [bug#71897] [PATCH v5 6/6] gnu: telegram-desktop: Update to 5.2.3.

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 26 Sep 2024 14:24:29 +0900

Hi,

Liliana Marie Prikler <[email-masked]> writes:

> Am Sonntag, dem 14.07.2024 um 23:49 +0800 schrieb dan:
>> * gnu/packages/patches/telegram-desktop-unbundle-cppgir.patch: New
>> file.
>> * gnu/packages/patches/telegram-desktop-unbundle-gsl.patch: New file.
>> * gnu/local.mk (dist_patch_DATA): register them.
>> * gnu/packages/telegram.scm:
>> (libyuv-for-telegram-desktop, cmake-helpers-for-telegram-desktop,
>> codegen-for-telegram-desktop, lib-base-for-telegram-desktop,
>> lib-crl-for-telegram-desktop, lib-lottie-for-telegram-desktop,
>> lib-qr-for-telegram-desktop, lib-storage-for-telegram-desktop,
>> lib-tl-for-telegram-desktop, lib-webrtc-for-telegram-desktop,
>> tgcalls-for-telegram-desktop, webrtc-for-telegram-desktop): Bump to
>> submodule
>> checkout.
> This is minor, but the ChangeLog format uses closing parentheses before
> continuation lines.
>> (cmake-helpers-for-telegram-desktop)[origin]: Add patches to unbundle
>> gsl and
>> cppgir.
>> (libprisma-for-telegram-desktop): Use %telegram-version.
>> (telegram-desktop): Update to 5.2.3.
>> [#:phases]<unpack-additional-sources>: Add libprisma-for-telegram-
>> desktop.
>> <patch-gir-ignore-paths>: New phase.
>> <use-system-xdg-desktop-portal>: New phase.
>> [native-inputs]: Add gobject-introspection and xdg-desktop-portal.
>> [inputs]: Add boost, cppgir-for-telegram-desktop, expected-lite.
>> 
>> Change-Id: I78df3434a2cd04afc54107b7fecd5e5a8df85564
> Can anyone confirm, that this patch builds?  CI didn't build it and ld
> died to OOM on my machine.

Confirmed. I've now pushed the series and added commit 404dbd894c ("gnu:
telegraph-desktop: Fix exhuberant build memory requirements.") on top,
which should help guarding against OOMing in the future.

-- 
Thanks,
Maxim